# gdcm::DictPrinter Class Reference

DictPrinter class. More...

`#include <gdcmDictPrinter.h>`

Inheritance diagram for gdcm::DictPrinter:
[legend]
Collaboration diagram for gdcm::DictPrinter:
[legend]

List of all members.

## Public Member Functions
| DictPrinter ()
| ~DictPrinter ()
void | Print (std::ostream &os)
## Protected Member Functions
void | PrintDataElement2 (std::ostream &os, const DataSet &ds, const DataElement &ide)
void | PrintDataSet2 (std::ostream &os, const DataSet &ds)

## Detailed Description

DictPrinter class.

## Constructor & Destructor Documentation

gdcm::DictPrinter::DictPrinter | ( |  | ) |

gdcm::DictPrinter::~DictPrinter | ( |  | ) |

## Member Function Documentation

void gdcm::DictPrinter::Print | ( | std::ostream & | os | ) |

Reimplemented from gdcm::Printer.

void gdcm::DictPrinter::PrintDataElement2 | ( | std::ostream & | os,
|  | const DataSet & | ds,
|  | const DataElement & | ide |
| ) |  |  | `[protected]`

void gdcm::DictPrinter::PrintDataSet2 | ( | std::ostream & | os,
|  | const DataSet & | ds |
| ) |  |  | `[protected]`

The documentation for this class was generated from the following file:

- gdcmDictPrinter.h